Summary: New System Loader based on the kboot project
Name: kboot
Version: 9
Release: 3
License: GPL
Group: Applications/System
Source0: %{name}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The kboot system loader provides a platform independent second stage
bootloader that offers an interactive boot menu to select between
several boot kernels. It supports booting from generic block devices on
all platforms and several zSeries specific boot configurations in addition.
For configuration examples see /boot/example_kboot.conf and
/etc/example_zipl.conf .

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/boot
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man5
install kboot-root-glibc.cpio.gz $RPM_BUILD_ROOT/boot/initrd.kboot
install ui/example_kboot.conf $RPM_BUILD_ROOT/boot/example_kboot.conf
install ui/example_zipl.conf $RPM_BUILD_ROOT/etc/example_zipl.conf
install ui/kboot.8.gz $RPM_BUILD_ROOT/usr/share/man/man8/kboot.8.gz
install ui/kboot.conf.5.gz $RPM_BUILD_ROOT/usr/share/man/man5/kboot.conf.5.gz
%ifarch s390x
install linux-2.6.15/arch/s390/boot/image $RPM_BUILD_ROOT/boot/image.kboot
%endif
%ifarch s390
install linux-2.6.15/arch/s390/boot/image $RPM_BUILD_ROOT/boot/image.kboot
%endif
%ifarch i386
install linux-2.6.15/arch/i386/boot/bzImage $RPM_BUILD_ROOT/boot/image.kboot
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc

/boot/image.kboot
/boot/initrd.kboot
/boot/example_kboot.conf
/etc/example_zipl.conf
/usr/share/man/man8/kboot.8.gz
/usr/share/man/man5/kboot.conf.5.gz

%changelog
* Mon Dec 12 2005 Michael Loehr <mloehr@mloehrtp> - a-1
- kboot kernel (re-)integrated

* Mon Dec  5 2005 Michael Loehr <mloehr@mloehrtp> - 
- Initial build.
