/*!
 * (C) Copyright IBM Corp. 2005, 2005
 *
 * \file kboot.h
 * \brief Include file for kboot boot loader user interface
 *
 * $Id: kboot.h,v 1.5 2006/02/10 15:09:35 loehr Exp $
 *
 * Author(s): Ralph Wuerthner (rwuerthn@de.ibm.com)
 *
 */


#ifndef _KBOOT_H_
#define _KBOOT_H_

#define KBOOT_UI_VERSION "0.1"    //!< kboot user interface version
#define WORLD_EXISTS 1            //!< otherwise we won't be here

#define COMP_LOAD_MODULE_PATH  "cl" //!< path to loader module directory

#include "config.h"
#include "parser.h"
#include "loader.h"


/**
 * result of parse_arguments
 */
enum parse_result {
	PA_VALID,
	PA_DONE,
	PA_ERROR,
};


/**
 * This structure is used to store all arguments passed on the command
 * line when kboot is started.
 */

struct kboot_arguments {
	char *config_uri;    //!< URI to access configuration file
	char *console;       //!< Device node used to output kboot messages
};

void print_help(const char *arg0);
enum parse_result parse_arguments(struct kboot_arguments *kboot_args, int argc,
    char **argv);
void redirect_output(const char *device);
int userinterface(const char *startup_msg, struct cfg_toplevel *config,
    struct cfg_bentry *boot);

int comp_load(const char *dest, const char *uri, char **info, char **errmsg);

#endif /* #ifndef _KBOOT_H_ */
